<div class="settings-bar" [class.collapsed]="isCollapsed">
    <button class="toggle-button" (click)="toggleCollapse()">☰</button>

    <div class="settings-content">
        <h1><strong><u>Settings</u></strong></h1>

        <div class="option-section">
            <!-- Map Options -->
            <h5><u>Map Options</u></h5>
            <div class="slider-container">
                <label for="zoom">Map-Zoom: {{mapScale}}</label><br>
                <input type="range" id="zoom" min="0.1" max="5" step="0.1" [(ngModel)]="mapScale" (input)="scaleMap()">
            </div>
            <div class="option-item">
              <input type="checkbox" id="showRobots" [(ngModel)]="showAllRobotsForSelectedPlayerGrid"
                     (change)="updateWhichRobotsShownOnMap()">
              <label for="showRobots">Show all Robots</label>
            </div>
            <br>
            <!-- Planet Options -->
            <h5><u>Planet Options</u></h5>
            <h6>Change Planet Information</h6>
            <div class="option-item">
                <input type="checkbox" id="amount" name="PlanetStatus" [(ngModel)]="showAmount" value=1
                    (change)="updatePlanetInformation()">
                <label for="amount">Amount</label>
                <br>
                <input type="checkbox" id="activity" name="PlanetStatus" [(ngModel)]="showActivity" value=0
                    (change)="updatePlanetInformation()">
                <label for="activity">Activity</label>
                <br>
                <input type="checkbox" id="material" name="PlanetStatus" [(ngModel)]="showMaterial" value=1
                    (change)="updatePlanetInformation()">
                <label for="material">Material</label>
                <br>
                <div *ngIf="showMaterial">
                    <br>
                    <h6>Material</h6>
                    <input type="radio" id="image" name="imageOrText" [(ngModel)]="imageOrText" value="image"
                        (change)="changeMaterialInfo()">
                    <label for="image">Image</label>
                    <input type="radio" id="text" name="imageOrText" [(ngModel)]="imageOrText" value="text"
                        (change)="changeMaterialInfo()">
                    <label for="text">Text</label>
                    <div *ngIf="imageOrText === 'image'">
                        <label for="zoom">Material-Image-Scale: {{materialImageScale}}</label><br>
                        <input type="range" id="zoom" min="0.5" max="1.5" step="0.1" [(ngModel)]="materialImageScale"
                            (input)="changeMaterialScale()">
                    </div>
                </div>

            </div>
            <br>
            <h6>Change Background Images</h6>
            <div class="option-item">
                <input type="radio" id="image1" name="background-image" [(ngModel)]="backgroundImage" value="nothing"
                    (change)="changeBackgroundImage()">
                <label for="image1">No Backgrounds</label>
            </div>
            <div class="option-item">
                <input type="radio" id="image2" name="background-image" [(ngModel)]="backgroundImage" value="landscape"
                    (change)="changeBackgroundImage()">
                <label for="image2">Landscape Backgrounds</label>
            </div>
            <div class="option-item">
                <input type="radio" id="image3" name="background-image" [(ngModel)]="backgroundImage" value="planet"
                    (change)="changeBackgroundImage()">
                <label for="image3">Planet Backgrounds</label>
            </div>
            <br>
            <!-- Robot Options -->
            <h5><u>Robot Options</u></h5>
            <div class="slider-container">
                <label for="zoom">Robot-Image-Scale: {{robotImageScale}}</label><br>
                <input type="range" id="zoom" min="1" max="2.5" step="0.1" [(ngModel)]="robotImageScale"
                    (input)="changeRobotScale()">
            </div>
            <h6>Change Robot Images</h6>
            <div class="option-item">
                <input type="radio" id="option1" name="robot-image" value="random" [(ngModel)]="robotImageType"
                    (change)="changeRobotImage()">
                <label for="option1">Random Robot Images</label>
            </div>
            <div class="option-item">
                <input type="radio" id="option2" name="robot-image" value="team" [(ngModel)]="robotImageType"
                    (change)="changeRobotImage()">
                <label for="option2">Team Robot Images</label>
            </div>
        </div>
    </div>
</div>
